Skip to main content
`Ctrl`+`K`

# DMDAVecRestoreArrayWrite

Restores a multiple dimension array obtained with `DMDAVecGetArrayWrite()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAVecRestoreArrayWrite(DM da, Vec vec, void *array)

Logically Collective

## Input Parameters

- da - the `DMDA`

- vec - a vector the same size as one obtained with `DMCreateGlobalVector()` or `DMCreateLocalVector()`

- array - the `array` pointer

## See Also

DMDA - Creating vectors for structured grids, DMDA - Setting vector values, `DM`, `DMDA`, `DMDAGetGhostCorners()`, `DMDAGetCorners()`, `VecGetArray()`, `VecRestoreArray()`, `DMDAVecGetArrayWrite()`, `DMDAVecGetArray()`, `DMDAVecRestoreArray()`, `DMDAVecGetArrayRead()`, `DMDAVecRestoreArrayRead()`

## Level

intermediate

## Location

src/dm/impls/da/dagetarray.c

## Examples

src/snes/tutorials/ex19.c
src/dm/tutorials/ex2.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages